> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Bundle Resources

> Retrieves the resources of a user bundle by its ID.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/bundles.yml get /bundle_pricing/user_bundles/{user_bundle_id}/resources
openapi: 3.1.0
info:
  title: Telnyx Bundles API
  version: 2.0.0
  description: API for Bundles.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /bundle_pricing/user_bundles/{user_bundle_id}/resources:
    get:
      tags:
        - User Bundles
      summary: Get User Bundle Resources
      description: Retrieves the resources of a user bundle by its ID.
      operationId: GetUserBundleResources
      parameters:
        - $ref: '#/components/parameters/UserBundleId'
        - $ref: '#/components/parameters/AuthorizationBearer'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserBundleResourcesResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '404':
          $ref: '#/components/responses/bundle-pricing_NotFoundErrorResponse'
        default:
          $ref: '#/components/responses/bundle-pricing_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.bundlePricing.userBundles.listResources(
              'ca1d2263-d1f1-43ac-ba53-248e7a4bb26a',
            );


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.bundle_pricing.user_bundles.list_resources(
                user_bundle_id="ca1d2263-d1f1-43ac-ba53-248e7a4bb26a",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.BundlePricing.UserBundles.ListResources(\n\t\tcontext.TODO(),\n\t\t\"ca1d2263-d1f1-43ac-ba53-248e7a4bb26a\",\n\t\ttelnyx.BundlePricingUserBundleListResourcesParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleListResourcesParams;

            import
            com.telnyx.sdk.models.bundlepricing.userbundles.UserBundleListResourcesResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    UserBundleListResourcesResponse response = client.bundlePricing().userBundles().listResources("ca1d2263-d1f1-43ac-ba53-248e7a4bb26a");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.bundle_pricing.user_bundles.list_resources("ca1d2263-d1f1-43ac-ba53-248e7a4bb26a")


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->bundlePricing->userBundles->listResources(
                'ca1d2263-d1f1-43ac-ba53-248e7a4bb26a',
                authorizationBearer: 'authorization_bearer',
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx bundle-pricing:user-bundles list-resources \
              --api-key 'My API Key' \
              --user-bundle-id ca1d2263-d1f1-43ac-ba53-248e7a4bb26a
components:
  parameters:
    UserBundleId:
      required: true
      schema:
        title: User Bundle Id
        type: string
        format: uuid
        example: ca1d2263-d1f1-43ac-ba53-248e7a4bb26a
        description: User bundle's ID, this is used to identify the user bundle in the API.
      name: user_bundle_id
      in: path
    AuthorizationBearer:
      name: authorization_bearer
      in: header
      schema:
        type: string
        description: Authenticates the request with your Telnyx API V2 KEY
      description: 'Format: Bearer <TOKEN>'
  schemas:
    UserBundleResourcesResponse:
      title: UserBundleResourcesResponse
      required:
        - data
      type: object
      properties:
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/UserBundleResourceSchema'
    UserBundleResourceSchema:
      title: UserBundleResourceSchema
      required:
        - id
        - resource
        - resource_type
        - created_at
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: ca1d2263-d1f1-43ac-ba53-248e7a4bb26a
          description: Resource's ID.
        resource:
          type: string
          example: '+15617819942'
          description: The resource itself (usually a phone number).
        resource_type:
          type: string
          example: number
          description: The type of the resource (usually 'number').
        created_at:
          type: string
          format: date
          example: '2025-01-20'
          description: Date the resource was created.
        updated_at:
          type:
            - string
            - 'null'
          format: date
          example: '2025-01-20'
          description: Date the resource was last updated.
  responses:
    UnauthorizedErrorResponse:
      description: Authentication required or invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    title:
                      type: string
                    detail:
                      type: string
    bundle-pricing_NotFoundErrorResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    title:
                      type: string
                    detail:
                      type: string
    bundle-pricing_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    title:
                      type: string
                    detail:
                      type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````